package com.engine.recruit.entity.recruitflow.po;

import lombok.*;

import java.util.Objects;

/**
 * @author:dxfeng
 * @createTime: 2024/02/29
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RecruitStepDt1 {
    private String id;
    private String mainid;
    private String czan;
    private String zdyxsmc;
    private String tzymdz;
    private String sfqy;
    private String tzymbt;
    private String zssx;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        RecruitStepDt1 stepDt1 = (RecruitStepDt1) o;
        return czan.equals(stepDt1.czan);
    }

    @Override
    public int hashCode() {
        return Objects.hash(czan);
    }
}
